/usr/local/google/home/srhines/android_trees/jb-mr2-dev/frameworks/rs/scriptc/rs_program.rsh File Reference

- Overview
- Globals
- Structs

Functions
/usr/local/google/home/srhines/android_trees/jb-mr2-dev/frameworks/rs/scriptc/rs_program.rsh File Reference

## Functions
rs_depth_func | rsgProgramStoreGetDepthFunc (rs_program_store ps)
bool | rsgProgramStoreIsDepthMaskEnabled (rs_program_store ps)
bool | rsgProgramStoreIsColorMaskRedEnabled (rs_program_store ps)
bool | rsgProgramStoreIsColorMaskGreenEnabled (rs_program_store ps)
bool | rsgProgramStoreIsColorMaskBlueEnabled (rs_program_store ps)
bool | rsgProgramStoreIsColorMaskAlphaEnabled (rs_program_store ps)
rs_blend_src_func | rsgProgramStoreGetBlendSrcFunc (rs_program_store ps)
rs_blend_dst_func | rsgProgramStoreGetBlendDstFunc (rs_program_store ps)
bool | rsgProgramStoreIsDitherEnabled (rs_program_store ps)
bool | rsgProgramRasterIsPointSpriteEnabled (rs_program_raster pr)
rs_cull_mode | rsgProgramRasterGetCullMode (rs_program_raster pr)

## Detailed Description

Program object routines.

Definition in file rs_program.rsh.

## Function Documentation

rs_cull_mode rsgProgramRasterGetCullMode | ( | rs_program_raster | pr | ) |

Get program raster cull mode

Parameters:

  pr | program raster to query

bool rsgProgramRasterIsPointSpriteEnabled | ( | rs_program_raster | pr | ) |

Get program raster point sprite state

Parameters:

  pr | program raster to query

rs_blend_dst_func rsgProgramStoreGetBlendDstFunc | ( | rs_program_store | ps | ) |

Get program store blend destination function

Parameters:

  ps | program store to query

rs_blend_src_func rsgProgramStoreGetBlendSrcFunc | ( | rs_program_store | ps | ) |

Get program store blend source function

Parameters:

  ps | program store to query

rs_depth_func rsgProgramStoreGetDepthFunc | ( | rs_program_store | ps | ) |

Get program store depth function

Parameters:

  ps | program store to query

bool rsgProgramStoreIsColorMaskAlphaEnabled | ( | rs_program_store | ps | ) |

Get program store alpha component color mask

Parameters:

  ps | program store to query

bool rsgProgramStoreIsColorMaskBlueEnabled | ( | rs_program_store | ps | ) |

Get program store blur component color mask

Parameters:

  ps | program store to query

bool rsgProgramStoreIsColorMaskGreenEnabled | ( | rs_program_store | ps | ) |

Get program store green component color mask

Parameters:

  ps | program store to query

bool rsgProgramStoreIsColorMaskRedEnabled | ( | rs_program_store | ps | ) |

Get program store red component color mask

Parameters:

  ps | program store to query

bool rsgProgramStoreIsDepthMaskEnabled | ( | rs_program_store | ps | ) |

Get program store depth mask

Parameters:

  ps | program store to query

bool rsgProgramStoreIsDitherEnabled | ( | rs_program_store | ps | ) |

Get program store dither state

Parameters:

  ps | program store to query